Bug 166465 - Kernel oopses, keyboard driver repeats last typed character inifinitely
Kernel oopses, keyboard driver repeats last typed character inifinitely
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-21 21:26 EDT by Tracy R Reed
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 19:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tracy R Reed 2005-08-21 21:26:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4 Mnenhy/0.7.2.0

Description of problem:
I am running a complete install of FC4 on my brand new dual core AMD64 box. Mobo is an MSI K8N with nvidia chipset. It's pretty sweet. Until the kernel oopses at a seemingly random time but usually within a few hours of operation. It is repeatable and has happened a dozen times now but sometimes it takes a while. It only seems to happen when I am typing on the keyboard attached to the console. It has not happened while I am ssh'd in from remote. When it happens the last key pressed is repeated forever. As I dreag my mouse around in X, whatever window has the focus is where the keypress goes. It continues even if I unplug and replug my PS/2 keyboard. I can still ssh in from remote and everything works normally. I have to reboot to restore the console. I always run in X. I cannot really use the console without X to try to reproduce the problem.

Version-Release number of selected component (if applicable):
2.6.12-1.1398_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. Run the above described configuration
2. Type on the console (in X)
3. Observe the oops and repeating key
  

Actual Results:  The kernel oops, a key repeats forever, console is unusable.

Expected Results:  The kernel shouldn't oops and the console should remain usable.

Additional info:

Unable to handle kernel NULL pointer dereference at 0000000000000024 RIP:
<ffffffff8011dae1>{query_current_values_with_pending_wait+65}
PGD 24c0b067 PUD 24c0c067 PMD 0
Oops: 0002 [1] SMP
CPU 1
Modules linked in: parport_pc lp parport autofs4 rfcomm l2cap bluetooth sunrpc pcmcia yenta_socket rsrc_nonstatic pcmcia_core md5 ipv6 video button battery ac ohci_hcd ehci_hcd nvidia(U) i2c_nforce2 i2c_core shpchp snd_intel8x0 snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc forcedeth floppy dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod sata_nv libata sd_mod scsi_mod
Pid: 6, comm: events/0 Tainted: P      2.6.12-1.1398_FC4smp
RIP: 0010:[<ffffffff8011dae1>] <ffffffff8011dae1>{query_current_values_with_pending_wait+65}
RSP: 0018:ffff810037c01dc8  EFLAGS: 00010206
RAX: 000000000000000e RBX: 0000000000000000 RCX: 00000000c0010042
RDX: 0000000000000006 RSI: 0000000000000001 RDI: 0000000000000000
RBP: 0000000000000000 R08: ffff810037c00000 R09: 0000000000000001
R10: 0000000000000000 R11: 00000000ffffffff R12: 0000000000000001
R13: 0000000000000000 R14: 0000000000000292 R15: ffffffff80112950
FS:  00002aaaaaada760(0000) GS:ffffffff8050d800(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000024 CR3: 0000000025291000 CR4: 00000000000006e0
Process events/0 (pid: 6, threadinfo ffff810037c00000, task ffff81003fda6800)
Stack: 0000000000000000 ffffffff8011e0b1 0000000000000001 ffff81003e470e00
       ffff81003e470e30 ffffffff802e68a3 0000000000000000 0000000000000003
       0000000000000001 0000000000000020
Call Trace:<ffffffff8011e0b1>{powernowk8_get+129} <ffffffff802e68a3>{cpufreq_get+115}
       <ffffffff8011298a>{handle_cpufreq_delayed_get+58} <ffffffff8014b9ec>{worker_thread+476}
       <ffffffff80134720>{default_wake_function+0} <ffffffff801326b3>{__wake_up_common+67}
       <ffffffff8014b810>{worker_thread+0} <ffffffff80150489>{kthread+217}
       <ffffffff80135ca0>{schedule_tail+64} <ffffffff8010f76b>{child_rip+8}
       <ffffffff801503b0>{kthread+0} <ffffffff8010f763>{child_rip+0}


Code: 89 47 24 89 57 20 31 c0 48 83 c4 08 c3 66 90 48 83 ec 28 f7
RIP <ffffffff8011dae1>{query_current_values_with_pending_wait+65} RSP <ffff810037c01dc8>
CR2: 0000000000000024
 <3>Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
in_atomic():0, irqs_disabled():1

Call Trace:<ffffffff8013abd5>{profile_task_exit+21} <ffffffff8013bff2>{do_exit+34}
       <ffffffff80265f79>{do_unblank_screen+137} <ffffffff80124286>{do_page_fault+1926}
       <ffffffff8035ac32>{thread_return+0} <ffffffff8035ac84>{thread_return+82}
       <ffffffff8013434d>{activate_task+141} <ffffffff80112950>{handle_cpufreq_delayed_get+0}
       <ffffffff8010f5b5>{error_exit+0} <ffffffff80112950>{handle_cpufreq_delayed_get+0}
       <ffffffff8011dae1>{query_current_values_with_pending_wait+65}
       <ffffffff8011e0b1>{powernowk8_get+129} <ffffffff802e68a3>{cpufreq_get+115}
       <ffffffff8011298a>{handle_cpufreq_delayed_get+58} <ffffffff8014b9ec>{worker_thread+476}
       <ffffffff80134720>{default_wake_function+0} <ffffffff801326b3>{__wake_up_common+67}
       <ffffffff8014b810>{worker_thread+0} <ffffffff80150489>{kthread+217}
       <ffffffff80135ca0>{schedule_tail+64} <ffffffff8010f76b>{child_rip+8}
       <ffffffff801503b0>{kthread+0} <ffffffff8010f763>{child_rip+0}



[treed@localhost ~]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 35
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 4400+
stepping        : 2
cpu MHz         : 2211.359
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow pni lahf_lm cmp_legacy
bogomips        : 4374.52
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp

processor       : 1
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 35
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 4400+
stepping        : 2
cpu MHz         : 2211.359
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow pni lahf_lm cmp_legacy
bogomips        : 4407.29
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp
Comment 1 Dave Jones 2005-08-26 19:30:48 EDT
There have been numerous reports of failures with the nvidia binary module and
powernow-k8. There's nothing I can do to debug problems in their code.

However, there is another powernow fix in the latest updates-testing kernel
which may help you.
Comment 2 Tracy R Reed 2005-08-26 19:41:22 EDT
Thanks. I will check out the update and report back here if anything interesting
happens.

Another piece of data: I have been running the non-SMP kernel 2.6.12-1.1398_FC4
for a few days now and have not had any lockups.

Note You need to log in before you can comment on or make changes to this bug.